﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Controls;
using System.Windows;

namespace WpfApplication341.Converters
{
   public  class BoolToTemplateConverter:IValueConverter
    {

       ControlTemplate gridct = Application.Current.Resources["dtgrid"] as ControlTemplate;
       ControlTemplate textct = Application.Current.Resources["dttext"] as ControlTemplate;
       
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();
            bool b = false;
            if (value == null)
                return null;
            else
                if (bool.TryParse(value.ToString(), out b))
                {
                    if (b)
                    {
                        return gridct;
                    }
                    else return textct;
                }
                else return null;

            
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
